# Assignment

API Name: `GradientWorks__Assignment`

Actions such as [Assign Single Item](/kb/automation-builder-kit-abk/actions/assignment/assignsingleitemaction.md) and [Assign Multiple Items](/kb/automation-builder-kit-abk/actions/assignment/assignmultiitemaction.md) provide these to communicate the results of assignment. You can also use them as input into other actions like [Send Single Assignment Email](/kb/automation-builder-kit-abk/actions/next-steps/sendsingleemailnotificationaction.md) or [Send Slack Message](/kb/automation-builder-kit-abk/actions/next-steps/sendchatnotificationaction.md).

## Properties

| Name                 | Type                                                                      | Description                                                                                                                                                                                                                                                                                                                                 |
| -------------------- | ------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| assignedTo           | User                                                                      | The User that the item was assigned to. Only the Id, Email, Name, Alias fields will be available. Value will be null if item was assigned to a standard Salesforce Queue.                                                                                                                                                                   |
| assignedToQueue      | Group                                                                     | The standard Salesforce Queue that the item was assigned to. Only the Id, Email, Name fields will be available. Value will be null if item was assigned to a User.                                                                                                                                                                          |
| errorMessage         | String                                                                    | Any error that occurred during assignment                                                                                                                                                                                                                                                                                                   |
| item                 | [GenericSObject](/kb/automation-builder-kit-abk/models/genericsobject.md) | Wraps the SObject that was assigned. Flow does not currently handle SObjects very well so this wraps an SObject in a Flow-friendly interface.                                                                                                                                                                                               |
| previouslyAssignedTo | User                                                                      | The User the item was previously assigned to. Only the Id, Email, Name, Alias fields will be available.                                                                                                                                                                                                                                     |
| queue                | String                                                                    | The Queue that was used to perform the assignment. This will either be an Id or name depending on how the Queue was specified by the action that produced this result. For Assignments that result from [Directly Assign Items](/kb/automation-builder-kit-abk/actions/assignment/directassignsingleitemaction.md) this value will be null. |
| success              | Boolean                                                                   | Whether or not the assignment completed successfully                                                                                                                                                                                                                                                                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gradient.works/kb/automation-builder-kit-abk/models/assignment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
